Package org.apache.sling.commons.log.logback.internal.stacktrace

# Class PackageInfoCollector

java.lang.Object
org.apache.sling.commons.log.logback.internal.stacktrace.PackageInfoCollector

All Implemented Interfaces:
  `org.osgi.framework.hooks.weaving.WeavingHook`

public class PackageInfoCollector extends Object implements org.osgi.framework.hooks.weaving.WeavingHook
WeavingHook to keep track of which bundle contains the java package for each woven class

## Constructor Summary

Constructors
Constructor
Description
`PackageInfoCollector()`

## Method Summary

Modifier and Type
Method
Description
`int`
`size()`
Returns the number of packages that have been encountered
`void`
`weave(@NotNull org.osgi.framework.hooks.weaving.WovenClass wovenClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageInfoCollector

public PackageInfoCollector()

## Method Details

### weave

public void weave(@NotNull @NotNull org.osgi.framework.hooks.weaving.WovenClass wovenClass)

Specified by:
  `weave` in interface `org.osgi.framework.hooks.weaving.WeavingHook`

### size

public int size()
Returns the number of packages that have been encountered

Returns:
  the number of packages